summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorKarel Zak2009-09-16 21:25:38 +0200
committerKarel Zak2009-09-16 21:39:37 +0200
commit1e018c1571ff80b7750cadeb591da36d75c51083 (patch)
tree86006ff64152ad2dc47bc86b9e98f94c4ccc7304 /autogen.sh
parentlibblkid: add missing comments (diff)
downloadkernel-qcow2-util-linux-1e018c1571ff80b7750cadeb591da36d75c51083.tar.gz
kernel-qcow2-util-linux-1e018c1571ff80b7750cadeb591da36d75c51083.tar.xz
kernel-qcow2-util-linux-1e018c1571ff80b7750cadeb591da36d75c51083.zip
libblkid: gtkdocize (API docs generated by gtk-docs)
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 61b7bd96b..8edee0b9e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,6 +12,7 @@ test -z "$srcdir" && srcdir=.
THEDIR=`pwd`
cd $srcdir
DIE=0
+HAS_GTKDOC=1
(autopoint --version) < /dev/null > /dev/null 2>&1 || {
echo
@@ -53,6 +54,12 @@ DIE=0
echo "or see http://www.gnu.org/software/autoheader"
DIE=1
}
+
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+ echo "WARNING: You must have gtk-doc installed to generate libblkid API docs."
+ HAS_GTKDOC=0
+}
+
if test "$DIE" -eq 1; then
exit 1
fi
@@ -76,7 +83,10 @@ echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"
echo " automake: $(automake --version | head -1)"
#echo " libtoolize: $(libtoolize --version | head -1)"
-echo
+
+if test "$HAS_GTKDOC" -eq 1; then
+ echo " gtkdocize: $(gtkdocize --version | head -1)"
+fi
set -e
autopoint --force $AP_OPTS
@@ -84,6 +94,11 @@ autopoint --force $AP_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS
autoheader $AH_OPTS
+
+if test "$HAS_GTKDOC" -eq 1; then
+ gtkdocize
+fi
+
automake --add-missing $AM_OPTS
cd $THEDIR